<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: SmsIn</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: SmsIn</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>
            <span class="ancestors"><a href="module-twilio.html">twilio</a>~</span>SmsIn<span class="signature">()</span><span class="type-signature"></span></h2>
        
            <div class="class-description"><p>sms in conversations are started from the beginning if there was a restart!</p></div>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    
    <h2>Constructor</h2>
    

    
    <h4 class="name" id="SmsIn"><span class="type-signature"></span>new SmsIn<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="plugins_twilio_twilio.js.html">plugins/twilio/twilio.js</a>, <a href="plugins_twilio_twilio.js.html#line341">line 341</a>
    </li></ul></dd>
    

    

    

    
</dl>


















    
    </div>

    

    

    

    

    

    

    
        <h3 class="subsection-title">Members</h3>

        
            
<h4 class="name" id="incoming"><span class="type-signature"></span>incoming<span class="type-signature"></span></h4>




<div class="description">
    <p>stacks all incoming messages during this conversation</p>
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="plugins_twilio_twilio.js.html">plugins/twilio/twilio.js</a>, <a href="plugins_twilio_twilio.js.html#line347">line 347</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="match"><span class="type-signature"></span>match<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>very similar to logic.Condition.match. Checks for responses before dispatching next</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="plugins_twilio_twilio.js.html">plugins/twilio/twilio.js</a>, <a href="plugins_twilio_twilio.js.html#line442">line 442</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="reaction"><span class="type-signature"></span>reaction<span class="signature">(react)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>check for next and respond property.
dispatch next if there is no respond or if the last respond is called (count)
write message to local cue storage if it let to dispatching next cue</p>
<p>returns either what sms text to send (as response), or to ignore</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>react</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last"><p>contains information about if/how to react</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="plugins_twilio_twilio.js.html">plugins/twilio/twilio.js</a>, <a href="plugins_twilio_twilio.js.html#line512">line 512</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="route"><span class="type-signature"></span>route<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>check incoming messages on matches.</p>
<p>if any, dispatch first next in list of match Promises</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="plugins_twilio_twilio.js.html">plugins/twilio/twilio.js</a>, <a href="plugins_twilio_twilio.js.html#line362">line 362</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="time"><span class="type-signature"></span>time<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>time Event dispatched after time elapsed</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="plugins_twilio_twilio.js.html">plugins/twilio/twilio.js</a>, <a href="plugins_twilio_twilio.js.html#line483">line 483</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-ableton.html">ableton</a></li><li><a href="module-control.html">control</a></li><li><a href="module-d-pro.html">d-pro</a></li><li><a href="module-device.html">device</a></li><li><a href="module-devices.html">devices</a></li><li><a href="module-errors.html">errors</a></li><li><a href="module-file.html">file</a></li><li><a href="module-game.html">game</a></li><li><a href="module-index.html">index</a></li><li><a href="module-logic.html">logic</a></li><li><a href="module-medley.html">medley</a></li><li><a href="module-mongo.html">mongo</a></li><li><a href="module-ne.html">ne</a></li><li><a href="module-phone.html">phone</a></li><li><a href="module-plugin.html">plugin</a></li><li><a href="module-session.html">session</a></li><li><a href="module-sound.html">sound</a></li><li><a href="module-telegram.html">telegram</a></li><li><a href="module-tradfri.html">tradfri</a></li><li><a href="module-twilio.html">twilio</a></li><li><a href="module-variables.html">variables</a></li></ul><h3>Classes</h3><ul><li><a href="CollectionAPI.html">CollectionAPI</a></li><li><a href="Data.html">Data</a></li><li><a href="module-ableton-Liveset.html">Liveset</a></li><li><a href="module-d-pro-Show.html">Show</a></li><li><a href="module-device-Device.html">Device</a></li><li><a href="module-device-Mididevice.html">Mididevice</a></li><li><a href="module-device-OSCdevice.html">OSCdevice</a></li><li><a href="module-device-Serialdevice.html">Serialdevice</a></li><li><a href="module-device-TCPdevice.html">TCPdevice</a></li><li><a href="module-device-UDPdevice.html">UDPdevice</a></li><li><a href="module-device-Webdevice.html">Webdevice</a></li><li><a href="module-errors-DesignError.html">DesignError</a></li><li><a href="module-game-Game.html">Game</a></li><li><a href="module-logic-Condition.html">Condition</a></li><li><a href="module-logic-Listener.html">Listener</a></li><li><a href="module-medley-Log.html">Log</a></li><li><a href="module-mongo-Collection.html">Collection</a></li><li><a href="module-mongo-Database.html">Database</a></li><li><a href="module-mongo-Document.html">Document</a></li><li><a href="module-ne-Collection.html">Collection</a></li><li><a href="module-ne-Database.html">Database</a></li><li><a href="module-ne-Document.html">Document</a></li><li><a href="module-phone-Phone.html">Phone</a></li><li><a href="module-plugin-Collection.html">Collection</a></li><li><a href="module-plugin-Item.html">Item</a></li><li><a href="module-plugin-Plugin.html">Plugin</a></li><li><a href="module-session-Session.html">Session</a></li><li><a href="module-telegram-Bot.html">Bot</a></li><li><a href="module-twilio-Call.html">Call</a></li><li><a href="module-twilio-CallIn.html">CallIn</a></li><li><a href="module-twilio-SmsIn.html">SmsIn</a></li><li><a href="module-twilio-Switchboard.html">Switchboard</a></li><li><a href="module-variables-Variables.html">Variables</a></li></ul><h3>Global</h3><ul><li><a href="global.html#assignIntro">assignIntro</a></li><li><a href="global.html#assignStory">assignStory</a></li><li><a href="global.html#assignTaskC">assignTaskC</a></li><li><a href="global.html#attendance">attendance</a></li><li><a href="global.html#cancelPlayerSessions">cancelPlayerSessions</a></li><li><a href="global.html#cancelSessions">cancelSessions</a></li><li><a href="global.html#checkQueue">checkQueue</a></li><li><a href="global.html#cooperation">cooperation</a></li><li><a href="global.html#getLocationText">getLocationText</a></li><li><a href="global.html#getLoginLink">getLoginLink</a></li><li><a href="global.html#getPlace">getPlace</a></li><li><a href="global.html#getReader">getReader</a></li><li><a href="global.html#jobData">jobData</a></li><li><a href="global.html#left">left</a></li><li><a href="global.html#nextJob">nextJob</a></li><li><a href="global.html#since">since</a></li><li><a href="global.html#startValues">startValues</a></li><li><a href="global.html#timestamp">timestamp</a></li><li><a href="global.html#updateQueue">updateQueue</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Tue Dec 17 2019 17:26:50 GMT+0100 (CET)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>